#!/bin/python3

import serial
import requests
import time
import sys
import re

if len(sys.argv) < 2:
	exit("Usage: earthquake.py [device]")

ser = serial.Serial(sys.argv[1], 115600)
last = -1000000

while True:
	line = ser.readline().decode("utf-8")[:-2]
	print(line)
	if re.match("[0-9\\.]+", line):
		strength = float(line)
		if strength > 1.3 and strength < 10 and time.time() - last >= 36000:

			data = {
				"lat": -6.892004,
				"long": 107.599828,
				"strength": strength,
				"date": time.strftime("%Y-%m-%d %p %H:%M:%S.000Z")
			}

			print("send requests ", data)
			resp = requests.post('http://jauhararifin.cf:8888/api/earthquakes', data)
			print(resp)
			last = time.time()
